Retrieve all Status lists
Deprecated
Roles
Analytics Events
/v2/credentials/mobile/status-listsRetrieves all existing status lists from your tenant.
Analytic events
- MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_LIST_START
- MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_LIST_SUCCESS
- MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Response Body
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/mobile/status-lists"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6",
"statusListConfigurationId": "0bd642d3-4a3b-4ce2-9f8f-151a73becaae",
"listSize": "100_000",
"list": "0oRZAu6jEHRtYXR0ci1zdGF0dXNs..."
}
]
}How would you rate this page?
Delete a Status list configuration DELETE
Permanently deletes an existing Status list configuration. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_DELETE_START * MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_DELETE_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_DELETE_FAIL
Retrieve a Status list GET
<Callout type="warning"> **Deprecated.** In line with our SLA, this endpoint will be removed no earlier than 22 September 2026. To retrieve a Status list token, use the public [Retrieve a Status list token](#operation/getStatusListToken) endpoint (`GET /v2/credentials/mobile/status-lists/{statusListId}/token`), which returns the signed Status list token in CWT format. To discover the Status lists available on a tenant, use the public [Status list distribution](#operation/getStatusListDistribution) endpoint (`GET /v2/credentials/mobile/status-lists/distribution`). </Callout> Retrieves an existing Status list and its signed token by providing its ID. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_START * MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_RETRIEVE_FAIL